List Shopify journey recipes and event inputs
Returns recipe defaults, event property schemas and labelled sample payloads. Request: GET /v1/integrations/catalog/recipes. Scope: messages:read.
GET
Returns recipe defaults, event property schemas and labelled sample payloads.
apiKeyheader
x-api-key<token>RecipeCatalogResponse
application/json- response
recipes*array<>events*array<>import { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.integrationCatalog.recipeCatalog({});Example Response
{
"recipes": [
{
"id": "post-delivery-check-in",
"title": "string",
"trigger": "shopify.order_created",
"stopEvent": "shopify.order_created",
"waitDays": -9007199254740991,
"channels": [
"email"
]
}
],
"events": [
{
"event": "shopify.order_created",
"version": -9007199254740991,
"producer": "string",
"schema": {
"property1": "string",
"property2": "string"
},
"paths": [
{
"path": "string",
"mayBeEmpty": true
}
],
"samples": [
{
"fixture": "string",
"label": "string",
"properties": {
"property1": "string",
"property2": "string"
}
}
]
}
]
}